package com.yihu.jw.entity.care.course;

import com.yihu.jw.entity.UuidIdentityEntityWithTime;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.math.BigDecimal;

/**
 * Created with IntelliJ IDEA.
 *
 * @Author: yeshijie
 * @Date: 2021/5/10
 * @Description: 招生记录表
 */
@Entity
@Table(name="base_recruit_students_record")
public class RecruitStudentsRecordDO  extends UuidIdentityEntityWithTime {

    /**
     * '招生id'
     */
    private String recruitStudentsId;

    /**
     * 招生名称
     */
    private String recruitName;
    /**
     *
     */
    private String patient;
    /**
     * '姓名'
     */
    private String patientName;
    /**
     * '性别'
     */
    private String sex;
    /**
     * '手机'
     */
    private String mobile;
    /**
     * '状态'  (待审核、待支付、已支付、已退费、审核未通过)
     */
    private String status;
    private String statusName;
    /**
     * 支付方式 1微信 2支付宝
     */
    private String payType;
    /**
     * 价格
     */
    private BigDecimal price;
    /**
     * 订单编号
     */
    private String orderNo;
    /**
     * 机构code
     */
    private String orgCode;
    /**
     * 机构名称
     */
    private String orgName;
    /**
     * 删除标志 1正常 0删除
     */
    private Integer del;

    @Column(name = "recruit_students_id")
    public String getRecruitStudentsId() {
        return recruitStudentsId;
    }

    public void setRecruitStudentsId(String recruitStudentsId) {
        this.recruitStudentsId = recruitStudentsId;
    }
    @Column(name = "patient")
    public String getPatient() {
        return patient;
    }

    public void setPatient(String patient) {
        this.patient = patient;
    }
    @Column(name = "patient_name")
    public String getPatientName() {
        return patientName;
    }

    public void setPatientName(String patientName) {
        this.patientName = patientName;
    }
    @Column(name = "sex")
    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }
    @Column(name = "mobile")
    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    @Column(name = "status")
    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    @Transient
    public String getStatusName() {
        return statusName;
    }

    public void setStatusName(String statusName) {
        this.statusName = statusName;
    }

    @Column(name = "org_code")
    public String getOrgCode() {
        return orgCode;
    }

    public void setOrgCode(String orgCode) {
        this.orgCode = orgCode;
    }

    @Column(name = "org_name")
    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    @Column(name = "del")
    public Integer getDel() {
        return del;
    }

    public void setDel(Integer del) {
        this.del = del;
    }

    @Column(name = "recruit_name")
    public String getRecruitName() {
        return recruitName;
    }

    public void setRecruitName(String recruitName) {
        this.recruitName = recruitName;
    }

    @Column(name = "pay_type")
    public String getPayType() {
        return payType;
    }

    public void setPayType(String payType) {
        this.payType = payType;
    }

    @Column(name = "price")
    public BigDecimal getPrice() {
        return price;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }

    @Column(name = "order_no")
    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }
}
